#include "Platform.h"
#include <string.h>
#include <stdio.h>
#include <time.h>
#include "WAPLReader.h"
#include "BaseCommunication.h"

#include "memory_placements.h"

#define base CWAVReader

CWAPLReader::CWAPLReader(CReader *Owner, CBaseCommunication *Communicator)
	:base(Owner, Communicator)
{
}

CWAPLReader::~CWAPLReader(void)
{
}

void CWAPLReader::SetHWString(char *String)
{
	strcpy(String, "WAP_");
}

void CWAPLReader::GetProductString(uint8_t *Product)
{
	memcpy(Product, "CJWAP", 5);
}
